Page 1 of 1

Problem med PHP 5.6 till PHP 7.0

Posted: Wed Feb 22, 2017 2:34 pm
by Runner64
Efter att ha ändrat mer än 20 Joomla hemsidor, i grunden lika, från PHP 5.6 till PHP 7.0, så går det inte för den sista av alla Joomla 3.6.5 hemsidorna. Felmeddelandet är "0 - The parameter "platforminfo.class" must be defined". Jag antar att det är något av tilläggsprogrammen som inte är kompatibelt med PHP 7. Jag har därför avpublicerat en efter en, men inte fått träff på någon, som skulle vara orsaken. Jag har ändrat hemsidans mall, men utan resultat. Jag har också ominstallerat Joomla 3.6.5, men utan resultat.

Finns det en sammanställning på vilka tilläggsprogram som är eller inte är kompatibla med PHP 7?
Finns det ett tilläggsprogram som sorterar ut de program som inte fungerar med PHP 7.

Re: Problem med PHP 5.6 till PHP 7.0

Posted: Wed Feb 22, 2017 4:32 pm
by sgagner
Hej,

Det finns så oerhört många tillägg till Joomla så det är nog svårt att göra en sådan sammanställning.

Du kan kolla pluginerna också. Det är lätt att glömma bort dem i sammanhanget.

Se också till att ännu så länge inte använda PHP 7.1 som är mer sannolik att ge felmeddelanden. Använd PHP 7.0.6 och uppåt.

Re: Problem med PHP 5.6 till PHP 7.0

Posted: Wed Feb 22, 2017 4:43 pm
by Runner64
Tack. Jag har gått igenom samtliga komponenter, moduler och plugins. Använder PHP 7.0.15, men liknande hemsidor fungerar med PHP 7.1 på ett annat webhotell.

Re: Problem med PHP 5.6 till PHP 7.0

Posted: Wed Feb 22, 2017 4:55 pm
by sgagner
Hej igen,

Meddela gärna här om du hittar en lösning. Det är nog intressant för fler än mig.

Re: Problem med PHP 5.6 till PHP 7.0

Posted: Thu Feb 23, 2017 12:17 pm
by Runner64
Problemet är löst. Det var RokCommon i Library och plugin System rokcommon som orsakade att Joomla inte fungerade efter uppdatering till PHP 7.0.15.